Package org.wildfly.plugin.cli

## Class CommandExecutor

- java.lang.Object
- - org.codehaus.plexus.logging.AbstractLogEnabled
  - - org.wildfly.plugin.cli.AbstractCommandExecutor<CommandConfiguration>
    - - org.wildfly.plugin.cli.CommandExecutor

- All Implemented Interfaces:
    `org.codehaus.plexus.logging.LogEnabled`

      @Singleton
      @Named
      public class CommandExecutor
      extends AbstractCommandExecutor<CommandConfiguration>

  A command executor for executing CLI commands.
  Author:
    James R. Perkins

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CommandExecutor()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute​(CommandConfiguration config, org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)` | Executes CLI commands based on the configuration.
    `protected int` | `executeInNewProcess​(CommandConfiguration config, Path scriptFile, StandardOutput stdout)` |

    - ### Methods inherited from class org.wildfly.plugin.cli.AbstractCommandExecutor

      `createCommandBuilder, executeInNewProcess, launchProcess`

    - ### Methods inherited from class org.codehaus.plexus.logging.AbstractLogEnabled

      `enableLogging, getLogger, setupLogger, setupLogger, setupLogger`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandExecutor

          public CommandExecutor()

  - ### Method Detail

    - #### execute

          public void execute​(CommandConfiguration config,
                              org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver)
                       throws org.apache.maven.plugin.MojoFailureException,
                              org.apache.maven.plugin.MojoExecutionException

      Executes CLI commands based on the configuration.
      Specified by:
        `execute` in class `AbstractCommandExecutor<CommandConfiguration>`
      Parameters:
        `config` - the configuration used to execute the CLI commands
        `artifactResolver` - Resolver to retrieve CLI artifact for in-process execution.
      Throws:
        `org.apache.maven.plugin.MojoFailureException` - if the JBoss Home directory is required and invalid
        `org.apache.maven.plugin.MojoExecutionException` - if an error occurs executing the CLI commands

    - #### executeInNewProcess

          protected int executeInNewProcess​(CommandConfiguration config,
                                            Path scriptFile,
                                            StandardOutput stdout)
                                     throws org.apache.maven.plugin.MojoExecutionException,
                                            IOException

      Specified by:
        `executeInNewProcess` in class `AbstractCommandExecutor<CommandConfiguration>`
      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `IOException`